Retrieve a series by ID
Retrieves a single series by series ID and brand ID. Validates that the series belongs to the specified brand. Includes series details, logo, cover image, description, and translations.
GET
/api/v1/{team_slug}/{app_slug}/brands/{brand_id}/series/{series_id}Authorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
brand_idstringrequiredId of brand
series_idstringrequiredId of series
Responses
200
Series retrieved successfully
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.SeriesrequiredShow propertiesHide properties
brandgithub_com_enadhq_nabbit_internal_pkg_webserver_models.BrandParentbrand for which the series belong to
Show propertiesHide properties
idstringid of brand
namestringname of brand
slugstringslug of brand
covergithub_com_enadhq_nabbit_internal_pkg_webserver_models.Image | nullShow propertiesHide properties
Any of:
github_com_enadhq_nabbit_internal_pkg_webserver_models.Image
altstring | nullapp_idstring | nullattributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Attributecreated_atstringdescriptionstring | nullfilterableboolean | nullidstringkeystringnamestring | nulltemplate_keystringtemplate_namestringtranslatableboolean | nulltranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslationsShow propertiesHide properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]updated_atstring | nullvaluesobject | nullblurhashstringcopyrightstring | nullcustomobject | nullfolder_idstringidstringparent_idstring | nullpublicbooleanstatusstringtitlestring | nulltranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ImageTranslationShow propertiesHide properties
altgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullcopyrightgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nulltitlegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullurlstringnull
nullcreated_atstringdescriptionstringseries description
emailstringseries email
idstringid of series
logogithub_com_enadhq_nabbit_internal_pkg_webserver_models.Image | nullShow propertiesHide properties
Any of:
github_com_enadhq_nabbit_internal_pkg_webserver_models.Image
altstring | nullapp_idstring | nullattributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | nullblurhashstringcopyrightstring | nullcustomobject | nullfolder_idstringidstringparent_idstring | nullpublicbooleanstatusstringtitlestring | nulltranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ImageTranslationurlstringnull
nullnamestringname of series
slugstringslug of series
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.BrandTranslationsShow propertiesHide properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Translationidstringlocalestringvaluestringupdated_atstring | nulldetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request (e.g. bad UUID, validation error)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired404
Not found
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired